Bug Hunting Session
Bug 50133 - EDITING Wrong underlining in Reports
Summary: EDITING Wrong underlining in Reports
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.2 target:4.3...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-19 15:48 UTC by Ulf Zibis
Modified: 2015-03-19 21:10 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Dotting underlining, while bold choosen - automatic-color always white (14.38 KB, application/pdf)
2012-07-27 19:37 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulf Zibis 2012-05-19 15:48:47 UTC
- set underline bold to a field
--> in the resulting odt document, the underlining is dotted.
Comment 1 Robert Großkopf 2012-07-27 19:37:34 UTC
Created attachment 64801 [details]
Dotting underlining, while bold choosen - automatic-color always white

Have tested it. First I saw no underlining. Then I changed the color. The underlining is dotted. And the automatic-color is always white in Linux-RPM 32 bit. Is this another bug?
Comment 2 Robert Großkopf 2013-08-07 14:28:50 UTC
Just testing all bugs from Report-Builder. This bug first appears in the oldest available version of LO, 3.3.0 beta1. So I set the first available bugzilla-version, 3.3.0 release.
Comment 3 Alex Thurgood 2015-01-03 17:39:31 UTC
Adding self to CC if not already on
Comment 4 Julien Nabet 2015-03-08 00:44:12 UTC
Lionel: if interested, I submitted a straightforward patch to review https://gerrit.libreoffice.org/14789

    207             switch( eNewUnderline )
    208             {
    209             case awt::FontUnderline::NONE:
    210             case awt::FontUnderline::SINGLE:
    211                 // keep double or bold line style
    212                 eNewUnderline = eUnderline;
    213                 //fall-through
    214             case awt::FontUnderline::DOTTED:
    215                 // The line style has priority over a double type.
    216                 if( awt::FontUnderline::BOLD == eUnderline )
    217                     eNewUnderline = awt::FontUnderline::BOLDDOTTED;
    218                 break;

See http://opengrok.libreoffice.org/xref/core/xmloff/source/style/undlihdl.cxx#210
Comment 5 Commit Notification 2015-03-08 02:45:38 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27bc6714df6638c6fd9d2ee5c26870ae5eb2f63e

tdf#50133: Wrong underlining in Reports

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-03-08 02:48:02 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f0f70d7811431d3e61a87d279349f89dd6a48ef&h=libreoffice-4-4

tdf#50133: Wrong underlining in Reports

It will be available in 4.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-03-13 12:56:46 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61f9f97e276da473573fd47826106ec8ac19ab83&h=libreoffice-4-3

tdf#50133: Wrong underlining in Reports

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-03-19 13:09:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61a3ace9f42a37640b1ec18fad776ba7c1f61714

Related tdf#50133: Wrong underlining in Reports

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-03-19 21:10:01 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17f741678ea58841ba463465f22eeb6b83c40bc3&h=libreoffice-4-4

Related tdf#50133: Wrong underlining in Reports

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.